<div class="col-12 my-5" @Fading>
  <h3>{{pageTitle}}</h3>
  <div class="alert" [ngClass]="status==true ? 'alert-success' : 'alert-warning' " *ngIf="message">{{message}}</div>

  <div class="container-fluid">
    <div *ngIf="artists && artists.length>0" class="row">
      <div class="col">
        <h5>Artistas</h5>
        <hr>
        <div class="card-deck">
          <div class="card col-12 col-md-4 col-lg-3" *ngFor="let artist of artists">
            <a routerLink="/artist/{{artist._id}}" class="link1">
              <img class="card-img-top" src="{{url + 'artist/get-image/' + artist._id }}" alt="artist image"
                style="width: 120px">
            </a>
            <div class="card-body">
              <h5 class="card-title"><a routerLink="/artist/{{artist._id}}" class="link1">{{artist.name}}</a></h5>
              <p class="card-text">{{artist.description}}</p>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!------Albums-------->
    <div *ngIf="albums && albums.length>0" class="row mt-4">
      <div class="col">
        <h5>Albums</h5>
        <hr>
        <div class="d-flex flex-wrap">
          <div class="card col-12 col-md-4 col-lg-3 mt-4" *ngFor="let album of albums">
            <a routerLink="/album/{{album._id}}" class="link1">
              <img class="card-img-top" src="{{url + 'album/get-image/' + album._id }}" alt="album image"
                style="width: 120px">
            </a>
            <div class="card-body">
              <h5 class="card-title"><a routerLink="/album/{{album._id}}" class="link1">{{album.title}}</a></h5>
              <p class="card-text text-muted"><a routerLink="/artist/{{album.artist._id}}" class="link2">
                  {{album.artist.name}} </a></p>
              <p class="card-text">{{album.description}}</p>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!------ Canciones----->
    <div *ngIf="songs && songs.length>0" class="row mt-4">
      <div class="col">
        <h5>Canciones</h5>
        <hr>
        <div class="d-flex flex-wrap">
          <div class="card  col-12 col-md-4 col-lg-3 mt-3" *ngFor="let song of songs">
            <div class="div-img-song" id="div-img-song{{song._id}}" (click)="onClickPlay(song)">
              <img class="card-img-top img-song" src="{{url + 'album/get-image/' + song.album._id }}" alt="album image"
                style="width: 120px">
              <div class="div-play" (mouseenter)="divPlayEnter($event,song._id)" (mouseleave)="divPlayLeave($event,song._id)" ><i class="far fa-play-circle"></i></div>
            </div>
            <div class="card-body">
              <h5 class="card-title">{{song.title}}</h5>
              <p class="card-text text-muted">{{song.album.artist.name}}</p>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>